import { Seq } from ".";
/** Options to parse sequence files. */
export interface ParseOptions {
    /** name of the source file */
    fileName?: string;
    /**
     * Source of the file (ArrayBuffer). This is necessary for SnapGene.
     *
     * Eg after a read from FileReader.readAsArrayBuffer() in a browser:
     * https://developer.mozilla.org/en-US/docs/Web/API/FileReader/readAsArrayBuffer
     */
    source?: ArrayBuffer;
}
/**
 * parseFile converts the contents of a sequence file to a an array of Seq
 */
declare const _default: (file: string, opts?: ParseOptions) => Promise<Seq[]>;
export default _default;
